Skip to content
This repository
Newer
Older
100755 497 lines (389 sloc) 14.147 kb
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
1 #!/usr/bin/env python
2 import optparse
3 import os
45605c9b » jbergstroem
2011-12-18 gyp: switch json for pprint when generating config
4 import pprint
30b29d8f » bnoordhuis
2012-03-02 build: disable -fstrict-aliasing if gcc < 4.6.0
5 import re
b9e1bb3d » bnoordhuis
2011-11-15 build: auto-run tools/gyp_node after ./configure
6 import subprocess
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
7 import sys
5cf4ceff » ry
2010-10-25 add configure
8
5062741b » bnoordhuis
2012-03-05 build: make CC command in -fstrict-aliasing check configurable
9 CC = os.environ.get('CC', 'cc')
10
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
11 root_dir = os.path.dirname(__file__)
12 sys.path.insert(0, os.path.join(root_dir, 'deps', 'v8', 'tools'))
97c97450 » ry
2010-11-01 Back to WAF
13
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
14 # parse our options
15 parser = optparse.OptionParser()
97c97450 » ry
2010-11-01 Back to WAF
16
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
17 parser.add_option("--debug",
18 action="store_true",
19 dest="debug",
20 help="Also build debug build")
21
22 parser.add_option("--prefix",
23 action="store",
24 dest="prefix",
25 help="Select the install prefix (defaults to /usr/local)")
26
a9f2c4aa » indutny
2011-12-17 --without-npm option
27 parser.add_option("--without-npm",
28 action="store_true",
29 dest="without_npm",
30 help="Don\'t install the bundled npm package manager")
31
6e76a7cb » indutny
2012-01-17 installer: install node-waf
32 parser.add_option("--without-waf",
33 action="store_true",
34 dest="without_waf",
35 help="Don\'t install node-waf")
36
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
37 parser.add_option("--without-ssl",
38 action="store_true",
39 dest="without_ssl",
40 help="Build without SSL")
41
42 parser.add_option("--without-snapshot",
43 action="store_true",
44 dest="without_snapshot",
45 help="Build without snapshotting V8 libraries. You might want to set"
46 " this for cross-compiling. [Default: False]")
47
48 parser.add_option("--shared-v8",
49 action="store_true",
50 dest="shared_v8",
51 help="Link to a shared V8 DLL instead of static linking")
52
53 parser.add_option("--shared-v8-includes",
54 action="store",
55 dest="shared_v8_includes",
56 help="Directory containing V8 header files")
57
58 parser.add_option("--shared-v8-libpath",
59 action="store",
60 dest="shared_v8_libpath",
61 help="A directory to search for the shared V8 DLL")
62
63 parser.add_option("--shared-v8-libname",
64 action="store",
65 dest="shared_v8_libname",
66 help="Alternative lib name to link to (default: 'v8')")
67
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
68 parser.add_option("--shared-openssl",
69 action="store_true",
70 dest="shared_openssl",
71 help="Link to a shared OpenSSl DLL instead of static linking")
72
73 parser.add_option("--shared-openssl-includes",
74 action="store",
75 dest="shared_openssl_includes",
76 help="Directory containing OpenSSL header files")
77
78 parser.add_option("--shared-openssl-libpath",
79 action="store",
80 dest="shared_openssl_libpath",
81 help="A directory to search for the shared OpenSSL DLLs")
82
83 parser.add_option("--shared-openssl-libname",
84 action="store",
85 dest="shared_openssl_libname",
86 help="Alternative lib name to link to (default: 'crypto,ssl')")
87
88 # deprecated
e61de70c » ry
2011-12-16 gyp: use built-in openssl by default
89 parser.add_option("--openssl-use-sys",
70e68893 » TooTallNate
2012-03-17 build: make --openssl-use-sys a boolean option
90 action="store_true",
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
91 dest="shared_openssl",
92 help=optparse.SUPPRESS_HELP)
e61de70c » ry
2011-12-16 gyp: use built-in openssl by default
93
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
94 # deprecated
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
95 parser.add_option("--openssl-includes",
96 action="store",
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
97 dest="shared_openssl_includes",
98 help=optparse.SUPPRESS_HELP)
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
99
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
100 # deprecated
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
101 parser.add_option("--openssl-libpath",
102 action="store",
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
103 dest="shared_openssl_libpath",
104 help=optparse.SUPPRESS_HELP)
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
105
106 parser.add_option("--no-ssl2",
107 action="store_true",
108 dest="no_ssl2",
109 help="Disable OpenSSL v2")
110
d03b8487 » tchollingsworth
2012-02-26 build: support shared zlib
111 parser.add_option("--shared-zlib",
112 action="store_true",
113 dest="shared_zlib",
114 help="Link to a shared zlib DLL instead of static linking")
115
116 parser.add_option("--shared-zlib-includes",
117 action="store",
118 dest="shared_zlib_includes",
119 help="Directory containing zlib header files")
120
121 parser.add_option("--shared-zlib-libpath",
122 action="store",
123 dest="shared_zlib_libpath",
124 help="A directory to search for the shared zlib DLL")
125
126 parser.add_option("--shared-zlib-libname",
127 action="store",
128 dest="shared_zlib_libname",
129 help="Alternative lib name to link to (default: 'z')")
130
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
131 parser.add_option("--with-dtrace",
132 action="store_true",
133 dest="with_dtrace",
cc15299c » davepacheco
2012-03-28 build: add support for DTrace and postmortem
134 help="Build with DTrace (default is true on supported systems)")
135
136 parser.add_option("--without-dtrace",
137 action="store_true",
138 dest="without_dtrace",
139 help="Build without DTrace")
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
140
35a1421e » Igor Zinkovsky
2012-06-11 Windows: Enable ETW events.
141 parser.add_option("--with-etw",
142 action="store_true",
143 dest="with_etw",
144 help="Build with ETW (default is true on Windows)")
145
146 parser.add_option("--without-etw",
147 action="store_true",
148 dest="without_etw",
149 help="Build without ETW")
150
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
151 # CHECKME does this still work with recent releases of V8?
152 parser.add_option("--gdb",
153 action="store_true",
154 dest="gdb",
155 help="add gdb support")
156
157 parser.add_option("--dest-cpu",
158 action="store",
159 dest="dest_cpu",
160 help="CPU architecture to build for. Valid values are: arm, ia32, x64")
161
608898c1 » TooTallNate
2012-09-09 configure: add a "--dest-os" option to force a gyp "flavor"
162 parser.add_option("--dest-os",
163 action="store",
164 dest="dest_os",
165 help="Operating system to build for. Valid values are: "
166 "win, mac, solaris, freebsd, linux")
167
0ef6cfd3 » isaacs
2012-06-18 Fix #3465 Add ./configure --no-ifaddrs flag
168 parser.add_option("--no-ifaddrs",
169 action="store_true",
170 dest="no_ifaddrs",
171 help="Use on deprecated SunOS systems that do not support ifaddrs.h")
172
90efdb3a » adammw
2012-06-23 build: improve armv7 / hard-float detection
173 parser.add_option("--with-arm-float-abi",
174 action="store",
175 dest="arm_float_abi",
176 help="Specifies which floating-point ABI to use. Valid values are: "
177 "soft, softfp, hard")
178
28e6403a » bnoordhuis
2012-10-25 build: add --unsafe-optimizations configure switch
179 # Using --unsafe-optimizations voids your warranty.
180 parser.add_option("--unsafe-optimizations",
181 action="store_true",
182 dest="unsafe_optimizations",
183 help=optparse.SUPPRESS_HELP)
184
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
185 (options, args) = parser.parse_args()
186
187
a033261f » bnoordhuis
2011-11-29 build: DRY configure script
188 def b(value):
189 """Returns the string 'true' if value is truthy, 'false' otherwise."""
190 if value:
191 return 'true'
192 else:
193 return 'false'
194
195
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
196 def pkg_config(pkg):
197 cmd = os.popen('pkg-config --libs %s' % pkg, 'r')
198 libs = cmd.readline().strip()
199 ret = cmd.close()
200 if (ret): return None
201
202 cmd = os.popen('pkg-config --cflags %s' % pkg, 'r')
203 cflags = cmd.readline().strip()
204 ret = cmd.close()
205 if (ret): return None
206
207 return (libs, cflags)
208
209
90efdb3a » adammw
2012-06-23 build: improve armv7 / hard-float detection
210 def cc_macros():
211 """Checks predefined macros using the CC command."""
19133cac » TooTallNate
2012-02-20 build: better host_arch() definition in configure
212
792d9a92 » javihernandez
2012-05-05 build: print error message if no compiler found
213 try:
214 p = subprocess.Popen(CC.split() + ['-dM', '-E', '-'],
215 stdin=subprocess.PIPE,
216 stdout=subprocess.PIPE,
217 stderr=subprocess.PIPE)
218 except OSError:
219 print '''Node.js configure error: No acceptable C compiler found!
220
221 Please make sure you have a C compiler installed on your system and/or
222 consider adjusting the CC environment variable if you installed
223 it in a non-standard prefix.
224 '''
225 sys.exit()
226
19133cac » TooTallNate
2012-02-20 build: better host_arch() definition in configure
227 p.stdin.write('\n')
228 out = p.communicate()[0]
229
230 out = str(out).split('\n')
231
232 k = {}
233 for line in out:
234 import shlex
235 lst = shlex.split(line)
236 if len(lst) > 2:
237 key = lst[1]
238 val = lst[2]
239 k[key] = val
90efdb3a » adammw
2012-06-23 build: improve armv7 / hard-float detection
240 return k
241
242
243 def is_arch_armv7():
244 """Check for ARMv7 instructions"""
245 cc_macros_cache = cc_macros()
246 return ('__ARM_ARCH_7__' in cc_macros_cache or
247 '__ARM_ARCH_7A__' in cc_macros_cache or
248 '__ARM_ARCH_7R__' in cc_macros_cache or
249 '__ARM_ARCH_7M__' in cc_macros_cache)
250
251
252 def arm_hard_float_abi():
253 """Check for hardfloat or softfloat eabi on ARM"""
254 # GCC versions 4.6 and above define __ARM_PCS or __ARM_PCS_VFP to specify
255 # the Floating Point ABI used (PCS stands for Procedure Call Standard).
256 # We use these as well as a couple of other defines to statically determine
257 # what FP ABI used.
258 # GCC versions 4.4 and below don't support hard-fp.
259 # GCC versions 4.5 may support hard-fp without defining __ARM_PCS or
260 # __ARM_PCS_VFP.
261
262 if compiler_version() >= (4, 6, 0):
263 return '__ARM_PCS_VFP' in cc_macros()
264 elif compiler_version() < (4, 5, 0):
265 return False
266 elif '__ARM_PCS_VFP' in cc_macros():
267 return True
268 elif ('__ARM_PCS' in cc_macros() or
269 '__SOFTFP' in cc_macros() or
270 not '__VFP_FP__' in cc_macros()):
271 return False
272 else:
273 print '''Node.js configure error: Your version of GCC does not report
274 the Floating-Point ABI to compile for your hardware
275
276 Please manually specify which floating-point ABI to use with the
277 --with-arm-float-abi option.
278 '''
279 sys.exit()
280
281
282 def host_arch_cc():
283 """Host architecture check using the CC command."""
284
285 k = cc_macros()
19133cac » TooTallNate
2012-02-20 build: better host_arch() definition in configure
286
287 matchup = {
288 '__x86_64__' : 'x64',
289 '__i386__' : 'ia32',
290 '__arm__' : 'arm',
09ccbef3 » Skomski
2012-02-13 build: detect host_arch better
291 }
292
19133cac » TooTallNate
2012-02-20 build: better host_arch() definition in configure
293 rtn = 'ia32' # default
294
295 for i in matchup:
296 if i in k and k[i] != '0':
297 rtn = matchup[i]
298 break
09ccbef3 » Skomski
2012-02-13 build: detect host_arch better
299
19133cac » TooTallNate
2012-02-20 build: better host_arch() definition in configure
300 return rtn
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
301
302
dc752327 » TooTallNate
2012-03-15 vcbuild: run the 'configure' script in vcbuild.bat
303 def host_arch_win():
304 """Host architecture check using environ vars (better way to do this?)"""
305
306 arch = os.environ.get('PROCESSOR_ARCHITECTURE', 'x86')
307
308 matchup = {
309 'AMD64' : 'x64',
310 'x86' : 'ia32',
311 'arm' : 'arm',
312 }
313
314 return matchup.get(arch, 'ia32')
315
316
07e58771 » bnoordhuis
2012-06-26 build: disable strict aliasing in v8 with gcc 4.5.x
317 def compiler_version():
3e5139fd » piscisaureus
2012-07-07 Fix the Windows build
318 try:
319 proc = subprocess.Popen(CC.split() + ['--version'], stdout=subprocess.PIPE)
320 except WindowsError:
321 return (0, False)
322
a0add919 » bnoordhuis
2012-07-03 build: detect cc version with -dumpversion
323 is_clang = 'clang' in proc.communicate()[0].split('\n')[0]
f78ce087 » bnoordhuis
2012-06-30 build: handle output of localized gcc or clang
324
a0add919 » bnoordhuis
2012-07-03 build: detect cc version with -dumpversion
325 proc = subprocess.Popen(CC.split() + ['-dumpversion'], stdout=subprocess.PIPE)
326 version = tuple(map(int, proc.communicate()[0].split('.')))
f78ce087 » bnoordhuis
2012-06-30 build: handle output of localized gcc or clang
327
328 return (version, is_clang)
329
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
330
1205734e » bnoordhuis
2012-09-19 configure: turn on VFPv3 on ARMv7
331 def configure_arm(o):
332 # V8 on ARM requires that armv7 is set. CPU Model detected by
333 # the presence of __ARM_ARCH_7__ and the like defines in compiler
334 if options.arm_float_abi:
335 hard_float = options.arm_float_abi == 'hard'
336 else:
337 hard_float = arm_hard_float_abi()
338 o['variables']['v8_use_arm_eabi_hardfloat'] = b(hard_float)
339
340 armv7 = is_arch_armv7()
341 if armv7:
342 # CHECKME VFPv3 implies ARMv7+ but is the reverse true as well?
343 o['variables']['arm_fpu'] = 'vfpv3'
344 o['variables']['arm_neon'] = 0
345 o['variables']['armv7'] = int(armv7)
346
347
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
348 def configure_node(o):
98b1ce91 » bnoordhuis
2012-07-18 build: fix mksnapshot crash on sunos
349 # TODO add gdb
350 o['variables']['v8_no_strict_aliasing'] = 1 # work around compiler bugs
06c82c50 » bnoordhuis
2012-06-26 build: expand ~ in `./configure --prefix=~/a/b/c`
351 o['variables']['node_prefix'] = os.path.expanduser(options.prefix or '')
a9f2c4aa » indutny
2011-12-17 --without-npm option
352 o['variables']['node_install_npm'] = b(not options.without_npm)
6e76a7cb » indutny
2012-01-17 installer: install node-waf
353 o['variables']['node_install_waf'] = b(not options.without_waf)
28e6403a » bnoordhuis
2012-10-25 build: add --unsafe-optimizations configure switch
354 o['variables']['node_unsafe_optimizations'] = (
355 1 if options.unsafe_optimizations else 0)
680d75af » shigeki
2012-01-18 build: make default_configuration consistent with BUILDTYPE
356 o['default_configuration'] = 'Debug' if options.debug else 'Release'
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
357
c6bb361b » bnoordhuis
2012-07-12 build: partially fix configure on ARM
358 host_arch = host_arch_win() if os.name == 'nt' else host_arch_cc()
359 target_arch = options.dest_cpu or host_arch
360 o['variables']['host_arch'] = host_arch
361 o['variables']['target_arch'] = target_arch
362
363 if target_arch == 'arm':
1205734e » bnoordhuis
2012-09-19 configure: turn on VFPv3 on ARMv7
364 configure_arm(o)
07e58771 » bnoordhuis
2012-06-26 build: disable strict aliasing in v8 with gcc 4.5.x
365
c6bb361b » bnoordhuis
2012-07-12 build: partially fix configure on ARM
366 cc_version, is_clang = compiler_version()
100e163d » bnoordhuis
2012-08-13 build: compile with -fno-tree-vrp when gcc >= 4.0
367 o['variables']['clang'] = 1 if is_clang else 0
368
86778607 » isaacs
2012-08-15 build: Don't set gcc_version for Windows
369 if not is_clang and cc_version != 0:
100e163d » bnoordhuis
2012-08-13 build: compile with -fno-tree-vrp when gcc >= 4.0
370 o['variables']['gcc_version'] = 10 * cc_version[0] + cc_version[1]
371
372 # clang has always supported -fvisibility=hidden, right?
07e58771 » bnoordhuis
2012-06-26 build: disable strict aliasing in v8 with gcc 4.5.x
373 if not is_clang and cc_version < (4,0,0):
5ebc05f5 » bnoordhuis
2012-03-05 build: disable -fvisibility=hidden if gcc < 4.0.0
374 o['variables']['visibility'] = ''
30b29d8f » bnoordhuis
2012-03-02 build: disable -fstrict-aliasing if gcc < 4.6.0
375
cc15299c » davepacheco
2012-03-28 build: add support for DTrace and postmortem
376 # By default, enable DTrace on SunOS systems. Don't allow it on other
377 # systems, since it won't work. (The MacOS build process is different than
378 # SunOS, and we haven't implemented it.)
379 if sys.platform.startswith('sunos'):
b40f813b » bnoordhuis
2012-07-11 build: fix spurious mksnapshot crashes for good
380 o['variables']['node_use_dtrace'] = b(not options.without_dtrace)
cc15299c » davepacheco
2012-03-28 build: add support for DTrace and postmortem
381 elif b(options.with_dtrace) == 'true':
382 raise Exception('DTrace is currently only supported on SunOS systems.')
383 else:
384 o['variables']['node_use_dtrace'] = 'false'
385
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
386 if options.no_ifaddrs:
387 o['defines'] += ['SUNOS_NO_IFADDRS']
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
388
35a1421e » Igor Zinkovsky
2012-06-11 Windows: Enable ETW events.
389 # By default, enable ETW on Windows.
390 if sys.platform.startswith('win32'):
391 o['variables']['node_use_etw'] = b(not options.without_etw);
392 elif b(options.with_etw) == 'true':
393 raise Exception('ETW is only supported on Windows.')
394 else:
395 o['variables']['node_use_etw'] = 'false'
396
397
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
398 def configure_libz(o):
d03b8487 » tchollingsworth
2012-02-26 build: support shared zlib
399 o['variables']['node_shared_zlib'] = b(options.shared_zlib)
400
401 # assume shared_zlib if one of these is set?
402 if options.shared_zlib_libpath:
403 o['libraries'] += ['-L%s' % options.shared_zlib_libpath]
404 if options.shared_zlib_libname:
405 o['libraries'] += ['-l%s' % options.shared_zlib_libname]
406 elif options.shared_zlib:
407 o['libraries'] += ['-lz']
408 if options.shared_zlib_includes:
409 o['include_dirs'] += [options.shared_zlib_includes]
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
410
411
412 def configure_v8(o):
a033261f » bnoordhuis
2011-11-29 build: DRY configure script
413 o['variables']['v8_use_snapshot'] = b(not options.without_snapshot)
414 o['variables']['node_shared_v8'] = b(options.shared_v8)
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
415
416 # assume shared_v8 if one of these is set?
417 if options.shared_v8_libpath:
418 o['libraries'] += ['-L%s' % options.shared_v8_libpath]
419 if options.shared_v8_libname:
420 o['libraries'] += ['-l%s' % options.shared_v8_libname]
59ecf2cc » isaacs
2012-02-23 Revert "Revert "build: support shared V8 properly""
421 elif options.shared_v8:
422 o['libraries'] += ['-lv8']
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
423 if options.shared_v8_includes:
424 o['include_dirs'] += [options.shared_v8_includes]
425
426
427 def configure_openssl(o):
a033261f » bnoordhuis
2011-11-29 build: DRY configure script
428 o['variables']['node_use_openssl'] = b(not options.without_ssl)
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
429 o['variables']['node_shared_openssl'] = b(options.shared_openssl)
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
430
431 if options.without_ssl:
432 return
433
434 if options.no_ssl2:
435 o['defines'] += ['OPENSSL_NO_SSL2=1']
436
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
437 if options.shared_openssl:
438 (libs, cflags) = pkg_config('openssl') or ('-lssl -lcrypto', '')
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
439
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
440 if options.shared_openssl_libpath:
441 o['libraries'] += ['-L%s' % options.shared_openssl_libpath]
442
443 if options.shared_openssl_libname:
444 libnames = options.shared_openssl_libname.split(',')
445 o['libraries'] += ['-l%s' % s for s in libnames]
e61de70c » ry
2011-12-16 gyp: use built-in openssl by default
446 else:
447 o['libraries'] += libs.split()
448
f3150292 » bnoordhuis
2012-06-30 build: rename openssl configure switches
449 if options.shared_openssl_includes:
450 o['include_dirs'] += [options.shared_openssl_includes]
e61de70c » ry
2011-12-16 gyp: use built-in openssl by default
451 else:
452 o['cflags'] += cflags.split()
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
453
454
455 output = {
456 'variables': {},
457 'include_dirs': [],
458 'libraries': [],
459 'defines': [],
460 'cflags': [],
461 }
462
463 configure_node(output)
464 configure_libz(output)
465 configure_v8(output)
466 configure_openssl(output)
467
468 # variables should be a root level element,
469 # move everything else to target_defaults
470 variables = output['variables']
471 del output['variables']
472 output = {
473 'variables': variables,
474 'target_defaults': output
475 }
624f70e8 » ry
2011-12-23 GYP: rename options.gypi to config.gypi
476 pprint.pprint(output, indent=2)
14b04b06 » ry
2011-11-14 Remove SCONS deprecate WAF
477
e493b295 » bnoordhuis
2012-01-17 build: respect --debug configure switch
478 def write(filename, data):
479 filename = os.path.join(root_dir, filename)
480 print "creating ", filename
fdeeabba » TooTallNate
2012-04-11 configure: don't use "with" for Python 2.5 and older
481 f = open(filename, 'w+')
482 f.write(data)
e493b295 » bnoordhuis
2012-01-17 build: respect --debug configure switch
483
484 write('config.gypi', "# Do not edit. Generated by the configure script.\n" +
9b7a6c52 » TooTallNate
2012-04-11 configure: output a newline at the end of config.gypi
485 pprint.pformat(output, indent=2) + "\n")
e493b295 » bnoordhuis
2012-01-17 build: respect --debug configure switch
486
487 write('config.mk', "# Do not edit. Generated by the configure script.\n" +
488 ("BUILDTYPE=%s\n" % ('Debug' if options.debug else 'Release')))
97c97450 » ry
2010-11-01 Back to WAF
489
dc752327 » TooTallNate
2012-03-15 vcbuild: run the 'configure' script in vcbuild.bat
490 if os.name == 'nt':
d5f13f6c » bnoordhuis
2012-06-28 build: use proper python interpreter
491 gyp_args = ['-f', 'msvs', '-G', 'msvs_version=2010']
608898c1 » TooTallNate
2012-09-09 configure: add a "--dest-os" option to force a gyp "flavor"
492 elif options.dest_os:
493 gyp_args = ['-f', 'make-' + options.dest_os]
dc752327 » TooTallNate
2012-03-15 vcbuild: run the 'configure' script in vcbuild.bat
494 else:
d5f13f6c » bnoordhuis
2012-06-28 build: use proper python interpreter
495 gyp_args = ['-f', 'make']
496
497 subprocess.call([sys.executable, 'tools/gyp_node'] + gyp_args)
Something went wrong with that request. Please try again.